/*10_layout.css*/

#layout_div{
  box-sizing: border-box;
	border-radius:13px;
  position: relative;   /* DAS ist entscheidend */
  max-width: 1000px;
  width: 100%;
  height: 100%;
  min-height: 0;  
  margin: 0 auto;  
  box-shadow: 6px -6px 14px rgba(0, 0, 0, 0.15);
  
  background-color:var(--layout_bg_color);

  background-image:
    repeating-linear-gradient(
      135deg,
      rgba(255,255,255,0.06) 0,
      rgba(255,255,255,0.06) 2px,
      transparent 2px,
      transparent 6px
    );  

}


@media (max-width: 768px) {
  #layout_div {
    width: 100vw;        /* 👈 nicht %, sondern Viewport */
    max-width: none;
    margin: 0;
    border-radius: 0;
    box-shadow: none;
  }
}

div.nav_content_div_cls{

  /* Rand: links weg */
  border-top: 1px solid rgba(var(--color_grundfarbe), 0.25);
  border-right: 1px solid rgba(var(--color_grundfarbe), 0.25);
  border-bottom: 1px solid rgba(var(--color_grundfarbe), 0.25);
  border-left: 1px solid rgba(var(--color_grundfarbe), 0.25);


}

#right_div{

    overflow: hidden;/* WICHTIG */            
}

@media (max-width: 768px) {

  #right_div {
    display:none;
  }
}
